[youtubei.js](../../../README.md) / [Utils](../README.md) / debugFetch

# Function: debugFetch()

> **debugFetch**(`input`, `init`?): `Promise`\<`Response`\>

[MDN Reference](https://developer.mozilla.org/docs/Web/API/fetch)

## Parameters

• **input**: `URL` \| `RequestInfo`

• **init?**: `RequestInit`

## Returns

`Promise`\<`Response`\>

## Defined in

[src/utils/Utils.ts:192](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L192)
